Get all categories

get

/fscmRestApi/resources/11.13.18.05/itemCategories

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Find item categories according to the primary key criteria.
      Finder Variables
      • CatalogId; integer; Value that uniquely identifies the item catalog.
      • CategoryId; integer; Value that uniquely identifies the item category. This value should not be used in service calls to create categories in catalogs.
    • findByFunctionalAreaId Find item categories according to the functional area identifier.
      Finder Variables
      • FunctionalAreaId; integer; Value that uniquely identifies the item category. This value should not be used in service calls to create categories in catalogs.
    • findDefaultCategories Find item catalogs according to the primary key criteria.
      Finder Variables
      • Bind_CatalogCode; string; Abbreviation that identifies the item catalog.
    • findParentCategories Find available parent categories according to the primary key criteria.
      Finder Variables
      • Bind_CatalogCode; string; Abbreviation that identifies the item catalog.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • CatalogCode; string; Abbreviation that identifies the item catalog.
    • CatalogControlLevel; integer; Attribute for the catalog control level.
    • CatalogId; integer; Value that uniquely identifies the item catalog.
    • CatalogName; string; Name of the catalog.
    • CategoryCode; string; Abbreviation that identifies the item category in user interface.
    • CategoryId; integer; Value that uniquely identifies the item category. This value should not be used in service calls to create categories in catalogs.
    • CategoryName; string; Name of the category.
    • CreationDateTime; string; Date and time when the user created the category.
    • Description; string; Description of the category.
    • EndDate; string; Date when the category becomes inactive.
    • ItemsOnlyFlag; boolean; Contains one of the following values: true or false. If true, then the category can have only items assigned to it. If false, the category can have both items and child categories assigned to it. The default value is false.
    • LastUpdateDateTime; string; Date and time when the user most recently updated the category.
    • ParentCategoryCode; string; Abbreviation that identifies the parent category in a category hierarchy.
    • ParentCategoryId; integer; Name of the catalog.
    • SharedFlag; boolean; Contains one of the following values: true or false. If true, then the category is shared from a source catalog. If false, then it's not shared. The default value is false.
    • StartDate; string; Date when the item category becomes active.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : itemCategories
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : itemCategories-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The Attachments resource manages the catalog attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Translatable Attributes
Type: array
Title: Translatable Attributes
The Translatable Attributes resource manages the translatable attributes of categories.
Show Source
Nested Schema : itemCategories-attachments-item-response
Type: object
Show Source
Nested Schema : attachmentDFF
Type: array
Show Source
Nested Schema : itemCategories-attachments-attachmentDFF-item-response
Type: object
Show Source
Nested Schema : itemCategories-DFF-item-response
Type: object
Show Source
Nested Schema : itemCategories-translatableAttributes-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to get all categories.

Example 1 cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/itemCategories"

For example, the following command gets all categories using a category code:

curl -u username:password "https://servername/fscmRestApi/resources/version/itemCategories?q=CategoryCode=Retail"

Example 1 Response Body

The following shows an example of the response body in JSON format.

{
	"items": [
	{
		"CategoryId": 300100178662483,
		"CategoryCode": "Retail",
		"CategoryName": "Retail",
		"CatalogId": 300100178662482,
		"CatalogCode": "Apparel",
		"ParentCategoryCode": null,
		"Description": "Retail",
		"StartDate": "2019-04-03",
		"EndDate": "2019-12-31",
		"ItemsOnlyFlag": false,
		"SharedFlag": false,
		"CreationDateTime": "2019-04-03T23:55:04.469+00:00",
		"LastUpdateDateTime": "2019-04-03T23:57:13.681+00:00",
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453",
			"name": "itemCategories",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000027704000000027372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000378"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453",
			"name": "itemCategories",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453/child/attachments",
			"name": "attachments",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453/child/translatableAttributes",
			"name": "translatableAttributes",
			"kind": "collection"
		}
		]
	}
	],
	"count": 1,
	"hasMore": false,
	"limit": 25,
	"offset": 0,
	"links": [
	{
		"rel": "self",
		"href": "https://servername/fscmRestApi/resources/version/itemCategories",
		"name": "itemCategories",
		"kind": "collection"
	}
	]
}

Example 2 cURL Command

The following command gets all categories of a catalog:

curl -u username:password "https://servername/fscmRestApi/resources/version/itemCategories?q=CatalogCode=Apparel"

Example 2 Response Body

The following shows an example of the response body in JSON format.

{
	"items": [
	{
		"CategoryId": 300100178662483,
		"CategoryCode": "Retail",
		"CategoryName": "Retail",
		"CatalogId": 300100178662482,
		"CatalogCode": "Apparel",
		"ParentCategoryCode": null,
		"Description": "Retail",
		"StartDate": "2019-04-03",
		"EndDate": "2019-12-31",
		"ItemsOnlyFlag": false,
		"SharedFlag": false,
		"CreationDateTime": "2019-04-03T23:55:04.469+00:00",
		"LastUpdateDateTime": "2019-04-03T23:57:13.681+00:00",
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453",
			"name": "itemCategories",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000027704000000027372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000378"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453",
			"name": "itemCategories",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453/child/attachments",
			"name": "attachments",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4530000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD453/child/translatableAttributes",
			"name": "translatableAttributes",
			"kind": "collection"
		}
		]
	},
	{
		"CategoryId": 300100178662484,
		"CategoryCode": "Winter",
		"CategoryName": "Seasons",
		"CatalogId": 300100178662482,
		"CatalogCode": "Apparel",
		"ParentCategoryCode": "Retail",
		"Description": "Winter",
		"StartDate": "2019-04-03",
		"EndDate": "2019-12-31",
		"ItemsOnlyFlag": false,
		"SharedFlag": false,
		"CreationDateTime": "2019-04-03T23:55:31.519+00:00",
		"LastUpdateDateTime": "2019-04-03T23:57:13.780+00:00",
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4540000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD454",
			"name": "itemCategories",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000027704000000027372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000378"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4540000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD454",
			"name": "itemCategories",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4540000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD454/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4540000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD454/child/attachments",
			"name": "attachments",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4540000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD454/child/translatableAttributes",
			"name": "translatableAttributes",
			"kind": "collection"
		}
		]
	},
	{
		"CategoryId": 300100178662485,
		"CategoryCode": "Summer",
		"CategoryName": "Seasons",
		"CatalogId": 300100178662482,
		"CatalogCode": "Apparel",
		"ParentCategoryCode": "Winter",
		"Description": "Summer",
		"StartDate": "2019-04-03",
		"EndDate": "2019-12-31",
		"ItemsOnlyFlag": false,
		"SharedFlag": false,
		"CreationDateTime": "2019-04-03T23:55:54.151+00:00",
		"LastUpdateDateTime": "2019-04-03T23:57:13.816+00:00",
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4550000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD455",
			"name": "itemCategories",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000027704000000027372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000378"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4550000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD455",
			"name": "itemCategories",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4550000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD455/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4550000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD455/child/attachments",
			"name": "attachments",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4550000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD455/child/translatableAttributes",
			"name": "translatableAttributes",
			"kind": "collection"
		}
		]
	},
	{
		"CategoryId": 300100178662486,
		"CategoryCode": "Spring",
		"CategoryName": "Seasons",
		"CatalogId": 300100178662482,
		"CatalogCode": "Apparel",
		"ParentCategoryCode": "Summer",
		"Description": "Spring",
		"StartDate": "2019-04-03",
		"EndDate": "2019-12-31",
		"ItemsOnlyFlag": false,
		"SharedFlag": false,
		"CreationDateTime": "2019-04-03T23:56:16.369+00:00",
		"LastUpdateDateTime": "2019-04-03T23:57:13.858+00:00",
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4560000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD456",
			"name": "itemCategories",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000027704000000027372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000378"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4560000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD456",
			"name": "itemCategories",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4560000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD456/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4560000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD456/child/attachments",
			"name": "attachments",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4560000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD456/child/translatableAttributes",
			"name": "translatableAttributes",
			"kind": "collection"
		}
		]
	},
	{
		"CategoryId": 300100178662487,
		"CategoryCode": "Fall",
		"CategoryName": "Seasons",
		"CatalogId": 300100178662482,
		"CatalogCode": "Apparel",
		"ParentCategoryCode": "Spring",
		"Description": "Fall",
		"StartDate": "2019-04-03",
		"EndDate": "2019-12-31",
		"ItemsOnlyFlag": false,
		"SharedFlag": false,
		"CreationDateTime": "2019-04-03T23:56:39.920+00:00",
		"LastUpdateDateTime": "2019-04-03T23:57:13.890+00:00",
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4570000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD457",
			"name": "itemCategories",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000027704000000027372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000378"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4570000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD457",
			"name": "itemCategories",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4570000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD457/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4570000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD457/child/attachments",
			"name": "attachments",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/itemCategories/00030000000EACED00057708000110F0848BD4570000000EACED00057708000110F0848BD4520000000EACED00057708000110F0848BD457/child/translatableAttributes",
			"name": "translatableAttributes",
			"kind": "collection"
		}
		]
	}
	],
	"count": 5,
	"hasMore": false,
	"limit": 25,
	"offset": 0,
	"links": [
	{
		"rel": "self",
		"href": "https://servername/fscmRestApi/resources/version/itemCategories",
		"name": "itemCategories",
		"kind": "collection"
	}
	]
}
Back to Top